summaryrefslogtreecommitdiffstats
path: root/test
diff options
context:
space:
mode:
authorDave Davenport <qball@gmpclient.org>2016-01-03 18:13:41 +0100
committerDave Davenport <qball@gmpclient.org>2016-01-03 18:13:41 +0100
commitd370a446f398f412462c3feef8a2f77453f1512a (patch)
tree79a468ea5230d93a19b27df1f42c545812aa23e5 /test
parentbd3d472bec60babf29cc84d98a35dd7b3edd200a (diff)
Add config loading test.
Diffstat (limited to 'test')
-rwxr-xr-xtest/xr_config_test.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/test/xr_config_test.sh b/test/xr_config_test.sh
new file mode 100755
index 00000000..76c13e8d
--- /dev/null
+++ b/test/xr_config_test.sh
@@ -0,0 +1,13 @@
+#!/usr/bin/env bash
+
+TOP_DIR=$1
+
+rofi -dump-xresources -config ${TOP_DIR}/doc/test_xr.txt > temp.txt
+
+if ! diff temp.txt ${TOP_DIR}/doc/test_xr.txt > /dev/null
+then
+ echo "Dump xresources does not match."
+ exit 1;
+fi
+
+exit ${RETV}